package com.r11.tools.service;

import com.r11.tools.model.MockedMessageDto;
import java.util.List;
import java.util.UUID;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Service;

/**
 * Service interface for {@link com.r11.tools.controller.KlausController} and {@link com.r11.tools.controller.MockController}
 * @author Rafał Żukowicz
 */
@Service
public interface KlausService {
    ResponseEntity<String> deleteMockedResponse(UUID clientUUID, int mockedResponseId);
    List<MockedMessageDto> getAllMockedResponses(UUID clientUUID);
    MockedMessageDto getMockedResponse(UUID clientUUID, int mockedResponseId);
    ResponseEntity<String> setMockedResponse(MockedMessageDto mockedMessageDto);
}
